Bug 702375 - Can't load firmware for Atheros AR3011
Summary: Can't load firmware for Atheros AR3011
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: first=2.6.38.5 fixed=3.3 bluetooth
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-05 13:46 UTC by Gendre Sébastien
Modified: 2012-06-18 22:55 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-18 21:46:47 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 27402 None None None Never

Description Gendre Sébastien 2011-05-05 13:46:22 UTC
Description of problem:
The system can't load the firmware for Atheros AR3011 Bluetooth chip.

dmesg return:
[   26.117905] ath3k_load_firmware: Can't change to loading configuration err
[   26.117978] ath3k: probe of 1-1.3:1.0 failed with error -5
[   26.118051] usbcore: registered new interface driver ath3k

Version-Release number of selected component (if applicable):
2.6.38.5-22.fc15.x86_64

Comment 1 Chuck Ebbert 2011-05-06 11:52:49 UTC
Note the upstream bug is closed even though it's not fixed.

Please attach the output of the command 'lsusb -nn' so we can see exactly which device you have.

Comment 2 Chuck Ebbert 2011-05-06 11:53:57 UTC
(In reply to comment #1)

> Please attach the output of the command 'lsusb -nn' so we can see exactly which
> device you have.

That should just be 'lsusb'.

Comment 3 Gendre Sébastien 2011-05-20 14:54:10 UTC
$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 017: ID 0cf3:3005 Atheros Communications, Inc. 
Bus 002 Device 004: ID 174f:1420 Syntek 
Bus 002 Device 010: ID 046d:c03e Logitech, Inc. Premium Optical Wheel Mouse (M-BT58)

Comment 4 Pavel Ondračka 2011-07-12 16:59:30 UTC
I'm also having this trouble with F15 (F14 was working fine).

My Bluetooth:
Bus 006 Device 002: ID 0cf3:3000 Atheros Communications, Inc. AR3011

Comment 5 Diego 2011-08-12 07:58:00 UTC
I've got the same problem, but this is what I experience:

First time plug:
[ 2057.518106] usb 7-2: new full speed USB device number 5 using uhci_hcd
[ 2057.657083] usb 7-2: New USB device found, idVendor=0cf3, idProduct=3000
[ 2057.657095] usb 7-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 2058.938405] Bluetooth: Atheros AR30xx firmware driver ver 1.0
[ 2063.987087] ath3k_load_firmware: Can't change to loading configuration err
[ 2063.987157] ath3k: probe of 7-2:1.0 failed with error -110
[ 2063.987209] usbcore: registered new interface driver ath3k

lsusb:
Bus 007 Device 005: ID 0cf3:3000 Atheros Communications, Inc. AR3011

Unplug and replug:

lsusb just after replug:
Bus 007 Device 005: ID 0cf3:3000 Atheros Communications, Inc. AR3011

lsusb ~1 second after replug:
nothing

lsusb ~2 seconds after replug:
Bus 007 Device 007: ID 0cf3:3005 Atheros Communications, Inc. 

Infact I get:
[ 2408.824090] usb 7-2: new full speed USB device number 10 using uhci_hcd
[ 2408.962120] usb 7-2: New USB device found, idVendor=0cf3, idProduct=3000
[ 2408.962126] usb 7-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 2409.454142] usb 7-2: USB disconnect, device number 10
[ 2410.693058] usb 7-2: new full speed USB device number 11 using uhci_hcd
[ 2410.832130] usb 7-2: New USB device found, idVendor=0cf3, idProduct=3005
[ 2410.832134] usb 7-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0

and now (after replugging the adapter) Bluetooth works. By the way this is an ASUS USB-BT211.

Comment 6 Gendre Sébastien 2011-08-12 11:50:52 UTC
If I turn Gnome to Airplane-Mode On and Off, the bluetooth work. But never at boot.

Comment 7 Vladimir Shebordaev 2011-10-03 19:08:57 UTC
Upgrade to linux-firmware-20110731-2 rebuilt from fedora rawhide seems to help out with AR3011-based ASUS USB-BT211 dongle on fedora 14/15 with stock 2.6.38.2-13.fc15.i686.PAE kernel

Comment 8 Josh Boyer 2011-10-07 13:59:01 UTC
(In reply to comment #6)
> If I turn Gnome to Airplane-Mode On and Off, the bluetooth work. But never at
> boot.

That sounds like something is booting up and causing rfkill to disable it.

Can you run 'rfkill list' before and after you toggle the Airplane mode and provide the output?

Comment 9 Gendre Sébastien 2011-10-08 11:27:17 UTC
Before:

0: cmpc_rfkill: Wireless LAN
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no


After:

0: cmpc_rfkill: Wireless LAN
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
2: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no

Comment 10 Paul Stauffer 2011-10-19 20:13:12 UTC
Confirming the results reported by Vladimir in Comment 7.  Updating to linux-firmware-20110731-2 got the ASUS USB-BT211 working for me in Fedora 15.

Comment 11 Vladimir Shebordaev 2011-11-09 18:15:58 UTC
So, the suggested fix is to upgrade to Fedora 16

Comment 12 Gendre Sébastien 2011-11-28 13:29:38 UTC
(In reply to comment #11)
> So, the suggested fix is to upgrade to Fedora 16

I upgrade to F16: problem don't fixed.

Comment 13 Vladimir Shebordaev 2011-11-28 16:18:19 UTC
I'm able to talk through my Sennheiser MM550 BT headset on Fedora 16 with ASUS USB-BT211 dongle. So please check your hardware. If you are sure you've got hardware, based on Atheros AR3011 Bluetooth chip, please make sure your upgrade process went off well enough.. Anyways, please make sure you've got linux-firmware-20110731-2 intalled, it is in the official F16 repo by now. If you've got stale linux-firmare package, you should probably run software update utility, either install it by hand directly from http://kojipkgs.fedoraproject.org/packages/linux-firmware/20110731/2.fc16/noarch/linux-firmware-20110731-2.fc16.noarch.rpm

Comment 14 Diego 2011-11-29 12:18:15 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > So, the suggested fix is to upgrade to Fedora 16
> 
> I upgrade to F16: problem don't fixed.

Same here: Fedora 16.

$ rpm -q linux-firmware
linux-firmware-20110731-2.fc16.noarch

$ rpm -q kernel
kernel-3.1.2-1.fc16.x86_64

dmesg (151 first insertion, 180 second insertion):
[  151.055020] usb 4-2: new full speed USB device number 2 using uhci_hcd
[  151.193037] usb 4-2: New USB device found, idVendor=0cf3, idProduct=3000
[  151.193040] usb 4-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  152.452308] Bluetooth: Atheros AR30xx firmware driver ver 1.0
[  157.467038] Bluetooth: Can't change to loading configuration err
[  157.467069] ath3k: probe of 4-2:1.0 failed with error -110
[  157.467095] usbcore: registered new interface driver ath3k
[  171.704053] usb 4-2: USB disconnect, device number 2
[  171.910024] usb 4-2: new full speed USB device number 3 using uhci_hcd
[  172.024017] hub 4-0:1.0: unable to enumerate USB device on port 2
[  180.357017] usb 4-2: new full speed USB device number 4 using uhci_hcd
[  180.495035] usb 4-2: New USB device found, idVendor=0cf3, idProduct=3000
[  180.495038] usb 4-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  180.954058] usb 4-2: USB disconnect, device number 4
[  182.461017] usb 4-2: new full speed USB device number 5 using uhci_hcd
[  182.601042] usb 4-2: New USB device found, idVendor=0cf3, idProduct=3005
[  182.601045] usb 4-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  182.615538] Bluetooth: Generic Bluetooth USB driver ver 0.6
[  182.617965] usbcore: registered new interface driver btusb
[  183.739009] Bluetooth: RFCOMM TTY layer initialized
[  183.739013] Bluetooth: RFCOMM socket layer initialized
[  183.739015] Bluetooth: RFCOMM ver 1.11

Comment 15 Vladimir Shebordaev 2011-12-02 00:49:56 UTC
Ok. As to my ASUS USB-BT211 dongle, it has the id of 0xf3:3005 and F16 appears to handle it with btusb driver. When I blacklisted btusb and tried to make ath3k handle the device, I got the same fault in firmware loader

Dec  2 02:24:48 ted kernel: [  143.857509] Bluetooth: Atheros AR30xx firmware driver ver 1.0
Dec  2 02:24:48 ted kernel: [  143.886726] Bluetooth: Can't change to loading configuration err
Dec  2 02:24:48 ted kernel: [  143.894563] ath3k: probe of 5-2:1.0 failed with error -71

Both EPROTO(71) and ETIMEDOUT(110) status codes from uhci controller mean that the device refuses to switch to DFU mode, so it doesn't seem to be an issue with Atheros firmware but rather with ath3k driver itself.

When I loaded btusb module by hand, it worked just fine

Dec  2 02:27:52 ted kernel: [  327.980026] usb 5-2: new full speed USB device number 3 using uhci_hcd
Dec  2 02:27:52 ted kernel: [  328.118955] usb 5-2: New USB device found, idVendor=0cf3, idProduct=3005
Dec  2 02:27:52 ted kernel: [  328.118960] usb 5-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Dec  2 02:27:52 ted bluetoothd[1451]: HCI dev 0 registered

So, I have to apologize. It's me who has got different hardware. But I should confirm that in F15 my device used to be handled with ath3k driver and I was much impressed by the results of the firmware upgrade...

Comment 16 Gendre Sébastien 2011-12-05 14:00:07 UTC
This is my log when I boot in Fedora 16:


Dec  5 14:53:54 Aragorn kernel: [   46.849283] Bluetooth: Core ver 2.16
Dec  5 14:53:54 Aragorn kernel: [   46.849331] NET: Registered protocol family 31
Dec  5 14:53:54 Aragorn kernel: [   46.849335] Bluetooth: HCI device and connection manager initialized
Dec  5 14:53:54 Aragorn kernel: [   46.849342] Bluetooth: HCI socket layer initialized
Dec  5 14:53:54 Aragorn kernel: [   46.849346] Bluetooth: L2CAP socket layer initialized
Dec  5 14:53:54 Aragorn kernel: [   46.849360] Bluetooth: SCO socket layer initialized
Dec  5 14:53:54 Aragorn kernel: [   46.850236] Bluetooth: Atheros AR30xx firmware driver ver 1.0
Dec  5 14:53:54 Aragorn kernel: [   51.850430] Bluetooth: Can't change to loading configuration err
Dec  5 14:53:54 Aragorn kernel: [   51.850523] ath3k: probe of 1-1.3:1.0 failed with error -110
Dec  5 14:53:54 Aragorn kernel: [   51.850591] usbcore: registered new interface driver ath3k

Comment 17 Serge Pavlovsky 2012-02-27 23:22:14 UTC
inserting trust bt dongle on f16:
[777840.144046] usb 5-2: new full-speed USB device number 2 using ohci_hcd
[777840.289047] usb 5-2: New USB device found, idVendor=0cf3, idProduct=3000
[777840.289057] usb 5-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[777841.853933] Bluetooth: Core ver 2.16
[777841.854220] NET: Registered protocol family 31
[777841.854226] Bluetooth: HCI device and connection manager initialized
[777841.854233] Bluetooth: HCI socket layer initialized
[777841.854238] Bluetooth: L2CAP socket layer initialized
[777841.855619] Bluetooth: SCO socket layer initialized
[777841.865135] Bluetooth: Atheros AR30xx firmware driver ver 1.0
[777846.880902] Bluetooth: Can't change to loading configuration err
[777846.881025] ath3k: probe of 5-2:1.0 failed with error -110
[777846.881105] usbcore: registered new interface driver ath3k

Comment 18 Gendre Sébastien 2012-05-05 09:31:26 UTC
The problem seems to be resolved on Fedora 17.

Comment 19 James 2012-05-05 10:27:07 UTC
(In reply to comment #18)
> The problem seems to be resolved on Fedora 17.

Not for me with 13d3:3304, an internal IMC Networks adapter. Loading ath3k fails for me with

  Bluetooth: Can't change to loading configuration err
  [  935.527588] ath3k: probe of 1-1.2:1.0 failed with error -110

Works find in Windows 7. (It's odd -- once got it to work, but can't recall how. Running lsusb -v on this device seems to pause briefly at the end.) Might be a different bug, though.

Comment 20 Dave Jones 2012-06-18 21:46:47 UTC
James, that seems like a separate problem. Can you file a new bug on that if it's still happening with the 3.4 update ?

thanks.

Comment 21 Vladimir Shebordaev 2012-06-18 22:55:05 UTC
(In reply to comment #17)
> inserting trust bt dongle on f16:
> [777840.144046] usb 5-2: new full-speed USB device number 2 using ohci_hcd
> [777840.289047] usb 5-2: New USB device found, idVendor=0cf3, idProduct=3000

My ASUS USB-BT211 dongle (0cf3:3005)  works just fine with stock f16 btusb:

Jun 19 02:34:56 ted kernel: [187877.956040] usb 5-2: new full-speed USB device number 4 using uhci_hcd
Jun 19 02:34:57 ted kernel: [187878.094619] usb 5-2: New USB device found, idVendor=0cf3, idProduct=3005
Jun 19 02:34:57 ted kernel: [187878.094625] usb 5-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Jun 19 02:34:57 ted kernel: [187878.171351] usbcore: registered new interface driver btusb


Note You need to log in before you can comment on or make changes to this bug.